php update, ohne xampp update

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

php update, ohne xampp update

Postby minutella » 21. January 2009 12:24

hallo zusammen,

ich habe xampp 1.4.11 am laufen... soweit alles okay.
nun will ich php auf min 5.1. updaten. wie kann kann ich php updaten, ohne den ganzen xamp upzudaten?

vielen dank fuer die info, claudio minutella
minutella
 
Posts: 5
Joined: 28. November 2005 15:31

Re: php update, ohne xampp update

Postby glitzi85 » 21. January 2009 16:04

Als erstes besorgst du dir mal ne phpinfo-Ausgabe von deiner aktuellen PHP-Installation. Ganz oben steht irgendwo der verwendete configure-Befehl, den brauchst du nachher.

Dann das Development Package runterladen und installieren: http://www.apachefriends.org/en/xampp-linux.html#374

Und PHP runterladen: http://www.php.net/downloads.php

Nehmen wir an du hast die Version 5.2.8 runtergeladen und die Datei in /home/minutella gespeichert. Dann sieht das weiter vorgehen so aus (in der Konsole):

Code: Select all
tar xvfz /home/minutella/php-5.2.8.tar.gz -C /tmp
cd /tmp/php-5.2.8
./configure XXX
make
su
make install


Wobei du XXX hinter configure mit den Angaben aus deiner phpinfo-Ausgabe ersetzen musst. Allerdings kann ich nicht garantieren dass das auch funktioniert, denn möglicherweise sind ein paar Optionen nicht kompatibel zum neuen PHP. Musst halt ausprobieren. Wenn du einen Fehler erhälst, dann an der Stelle abbrechen und die Meldung hier posten.
Falls du ein Ubuntu-System hast, dann funktioniert su eventuell nicht, stattdessen verwendest du ganz zum Schlusss den Befehl
Code: Select all
sudo make install

und lässt das su einfach weg.

mfg glitzi

PS: Solange du make install nicht ausführst wird an deiner aktuellen Installation nichts verändert. Wenn davor Fehler auftreten, kannst du mit der alten Version weiterarbeiten.

PPS: Vor make install solltest du den XAMPP-Apachen stoppen, falls der noch läuft.
User avatar
glitzi85
 
Posts: 1920
Joined: 05. March 2004 23:26
Location: Dahoim

Re: php update, ohne xampp update

Postby minutella » 22. January 2009 08:26

ciao,

vielen dank... soweit bin ich auch gekommen. ich habe XXX als confi in einer datei
gespeichert und bei der configuration bekomme ich den fehler:

...
checking for InterBase support... yes
checking for isc_detach_database in -lfbclient... no
checking for isc_detach_database in -lgds... no
checking for isc_detach_database in -lib_util... no
configure: error: libgds, libib_util or libfbclient not found! Check config.log for more information.

und weiter:
[user@minutella /usr/local/src/php-5.2.8]# tail config.log
#line 50054 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char isc_detach_database();

int main() {
isc_detach_database()
; return 0; }

ich habe redhat am laufen... brauch ich die "libgds" und wie kriege ich
die rein?

danke und gruss, claudio
minutella
 
Posts: 5
Joined: 28. November 2005 15:31


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 3 guests